elm::win Struct Reference

Public Member Functions
elm::win Struct Reference

Class win. More...

## Public Member Functions
| win (Eo *eo)
| Eo Constructor. More...
| win (std::nullptr_t)
| nullptr_t Constructor. More...
| win (win const &other)
| Copy Constructor.
bool | socket_listen (::efl::eina::string_view svcname_, int svcnum_, bool svcsys_) const
void | illume_command_send (Elm_Illume_Command command_, void *params_) const
void | resize_object_add (::evas::object subobj_) const
void | resize_object_del (::evas::object subobj_) const
void | center (bool h_, bool v_) const
bool | keygrab_set (::efl::eina::string_view key_, Evas_Modifier_Mask modifiers_, Evas_Modifier_Mask not_modifiers_, int proirity_, Elm_Win_Keygrab_Mode grab_mode_) const
bool | keygrab_unset (::efl::eina::string_view key_, Evas_Modifier_Mask modifiers_, Evas_Modifier_Mask not_modifiers_) const
| win (::efl::eo::parent_type _p, _c_name _c0, _c_type _c1)
| Constructs a new elm::win object. More...

## Detailed Description

Class win.

## Constructor & Destructor Documentation

## ◆ win() [1/3]

elm::win::win | ( | ::efl::eo::parent_type | _p,
|  | _c_name | _c0,
|  | _c_type | _c1
| ) |  |
| inlineexplicit

Constructs a new elm::win object.

Constructs a new elm::win object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Since this class have necessary constructor methods, you must call each one of them in the right place within this constructor parameters.

Example:

elm::win my_win(efl::eo::parent = parent_object,
my_win.name(name_),
my_win.type(type_));

See also
  win::name
  win::type
  win(Eo* eo)

## ◆ win() [2/3]

elm::win::win | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

## ◆ win() [3/3]

elm::win::win | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.

## Member Function Documentation

## ◆ center()

void elm::win::center | ( | bool | h_,
|  | bool | v_
| ) |  | const

Parameters

  h |
  v |

## ◆ illume_command_send()

void elm::win::illume_command_send | ( | Elm_Illume_Command | command_,
|  | void * | params_
| ) |  | const

Parameters

  command |
  params |

## ◆ keygrab_set()

bool elm::win::keygrab_set | ( | ::efl::eina::string_view | key_,
|  | Evas_Modifier_Mask | modifiers_,
|  | Evas_Modifier_Mask | not_modifiers_,
|  | int | proirity_,
|  | Elm_Win_Keygrab_Mode | grab_mode_
| ) |  | const

Parameters

  key |
  modifiers |
  not_modifiers |
  proirity |
  grab_mode |

## ◆ keygrab_unset()

bool elm::win::keygrab_unset | ( | ::efl::eina::string_view | key_,
|  | Evas_Modifier_Mask | modifiers_,
|  | Evas_Modifier_Mask | not_modifiers_
| ) |  | const

Parameters

  key |
  modifiers |
  not_modifiers |

## ◆ resize_object_add()

void elm::win::resize_object_add | ( | ::evas::object | subobj_ | ) | const

Parameters

  subobj |

## ◆ resize_object_del()

void elm::win::resize_object_del | ( | ::evas::object | subobj_ | ) | const

Parameters

  subobj |

## ◆ socket_listen()

bool elm::win::socket_listen | ( | ::efl::eina::string_view | svcname_,
|  | int | svcnum_,
|  | bool | svcsys_
| ) |  | const

Parameters

  svcname |
  svcnum |
  svcsys |